/* HERO */
.blog-hero-new {
    padding: 60px 0 30px;
    /* background: #f8f9fb;
    border-bottom: 1px solid #eee; */
}

.blog-hero-new h4 {
    font-size: 32px;
    font-weight: 700;
    color: #222;
}

.gallery-box img {
    width: 100%;
    height: 100%;
    object-fit: cover;
    transition: 0.3s;
}

/* hover effect */
.gallery-box:hover img {
    transform: scale(1.08);
}

/* Responsive height */
@media (max-width: 992px) {
    .gallery-box { height: auto; }
}

@media (max-width: 768px) {
    .gallery-box { height: auto; }
}

@media (max-width: 576px) {
    .gallery-box { height: auto; }
}

.view-all {
    color: #ff6a00;
    font-weight: 600;
    text-decoration: none;
}

/************************** Read more ******************************/

.text-content {
    display: -webkit-box;
    -webkit-line-clamp: 3;   
    -webkit-box-orient: vertical;
    overflow: hidden;
    line-height: 1.6;
    max-height: calc(1.6em * 3); /* fallback */
}

.text-container.expanded .text-content {
    -webkit-line-clamp: unset;
    max-height: none;
}

.read-more-btn {
    display: none;
    color: #007bff;
    cursor: pointer;
    margin-left: 5px;
}